Skip to main content
System Management/User Configuration
GETUser ConfigurationSince 0.6SynchronousAuth Required

Get Resource Names

Get Resource Names

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidsListRequired

    Resource UUID list

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null on success. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. This field is null if there is no root cause

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The UUID of the resource, uniquely identifying this resource

    • resourceNameStringRequired

      Resource name

    • resourceTypeStringRequired

      Resource type, e.g., VmInstanceVO for virtual machines

Endpoint

GET/zstack/v1/resources/names

/zstack/v1/resources/names

Operation ID

GetResourceNames

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resources/names?uuids=<uuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "9da599e443ec3d21bb4c766ad51784d3", "resourceName": "zone", "resourceType": "ZoneVO" }, { "uuid": "a6e1b35c657835c5972e94773e52949b", "resourceName": "vm", "resourceType": "VmInstanceVO" } ] }

Change History

This API has no change history records yet.

View all change history